구성 파일은 이제 비밀 암호 (blowfish_secret)가 필요 [phpMyAdmin을 해결]

설치 여부 phpMyAdmin을 서버 우분투, CentOS에 또는 등 페도라 배포, 메시지 "구성 파일은 이제 비밀 암호 (blowfish_secret를) 필요"색인 하단에 빨간색이 있으면 두통이 생깁니다. 특히 "에서 올바르게 구성된 경우/etc/phpMyAdmin/config.inc.php".
물론 경로는 구성마다 다를 수 있지만 7 CentOS에 cu phpMyAdmin을 "를 통해 설치"에서"remi.repo", 설정 파일은"/ etc / phpMyAdmin / "에 있습니다.

좋아, 어떻게 해결하는지 보자 "구성 파일은 이제 비밀 암호 (blowfish_secret를) 필요",있는 경우 config.inc.php를 우리는이 라인을 가지고 :

$cfg['blowfish_secret'] = 'gNsWq$%#%$#%EDFSsffsegbVp6LCJw6w'; /* YOU MUST FILL IN THIS FOR COOKIE AUTH! */

이 줄이 있고 32 자 이상의 "키"가있는 경우 phpMyAdmin의 빨간색 메시지가 사라집니다.
그렇지 않은 경우 브라우저에서 쿠키를 삭제하고 phpMyAdmin에서 로그 아웃하는 것이 좋습니다. 다음 로그인시 "구성 파일은 이제 비밀 암호 (blowfish_secret를) 필요"그는 더 이상 존재하지 않을 것입니다.
상황이 있지만 그것은 존재하는 잘못된 때문에하지 config.inc.php 파일은 폴더 권한 그가 있었다.

터미널 명령 줄에서 실행

 chown -R root:<user web> /etc/phpMyAdmin/

이제 모든 것이 정상입니다. "웹 사용자"대신 Apache를 사용하는 경우 "httpd", "nginx"또는 서버에 웹 프로세스 사용자가있는 방법을 설정하십시오.

2 시간 이상 모든 phpMyAdmin 구성을 수행했지만 여전히 다음 메시지를 제거 할 수 없기 때문에이 팁을 작성했습니다. file 이제 비밀 암호 (blowfish_secret)가 필요합니다. 권한 / 그룹을 확인한 후 사라졌습니다.

구성 파일은 이제 비밀 암호 (blowfish_secret)가 필요 [phpMyAdmin을 해결]

저자에 관하여

스텔스 LP

설립자와 편집자 스텔스 설정2006 날짜합니다.
Linux 운영 체제 (특히 CentOS), Mac OS X, Windows XP> Windows 10 및 WordPress (CMS).

댓글 3

코멘트를 남겨